## edu.stanford.nlp.trees.tregex.gui
Class FileTreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          edu.stanford.nlp.trees.tregex.gui.FileTreeNode

All Implemented Interfaces:
  Serializable, Cloneable, MutableTreeNode, TreeNode

    public class FileTreeNode

extends DefaultMutableTreeNode

Represents a node in a JTree that holds a file and displays the short name of the file in the JTree.

Author:
  Anna Rafferty
See Also:
  Serialized Form

Nested Class Summary
`static interface` `FileTreeNode.FileTreeNodeListener`

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`FileTreeNode()`
`FileTreeNode(File file, FileTreeNode parent)`

Method Summary
`void` `addListener(FileTreeNode.FileTreeNodeListener l)`
`JComponent` `getDisplay()`
`File` `getFile()`
`String` `getFilename()`
`Treebank` `getTreebank()`
`boolean` `isActive()`
`void` `setActive(boolean active)`
`void` `setTreebank(Treebank t)`
`String` `toString()`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileTreeNode

    public FileTreeNode()

### FileTreeNode

    public FileTreeNode(File file,
                        FileTreeNode parent)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `DefaultMutableTreeNode`

### getDisplay

    public JComponent getDisplay()

### isActive

    public boolean isActive()

### setActive

    public void setActive(boolean active)

### addListener

    public void addListener(FileTreeNode.FileTreeNodeListener l)

### getTreebank

    public Treebank getTreebank()

### setTreebank

    public void setTreebank(Treebank t)

### getFilename

    public String getFilename()

### getFile

    public File getFile()

Stanford NLP Group